﻿using Connected.Annotations;
using Connected.Entities.Annotations;
using Connected.Entities.Consistency;

namespace Connected.Entities.Containers;
public abstract record ContainerEntity<TPrimaryKey> : ConsistentEntity<TPrimaryKey>
	where TPrimaryKey : notnull
{

	[Ordinal(-100), Length(128)]
	public string Entity { get; init; } = default!;

	[Ordinal(-99), Length(128)]
	public string EntityId { get; init; } = default!;
}
